Group (Solr 3.6.2 API)
Keywords: org.apache.solr.client.solrj.response.Group class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.client.solrj.response
Class Group

    java.lang.Object
      org.apache.solr.client.solrj.response.Group

All Implemented Interfaces:
  Serializable

    public class Group

extends Object
implements Serializable

Represents a group. A group contains a common group value that all documents inside the group share and documents that belong to this group. A group value can be a field value, function result or a query string depending on the `GroupCommand`. In case of a field value or a function result the value is always a indexed value.

Since:
  solr 3.4
See Also:
  Serialized Form

Constructor Summary
`Group(String groupValue, SolrDocumentList result)` Creates a Group instance.

Method Summary
`String` | `getGroupValue()` Returns the common group value that all documents share inside this group.
`SolrDocumentList` | `getResult()` Returns the documents to be displayed that belong to this group.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Group

    public Group(String groupValue,
                 SolrDocumentList result)

  Creates a Group instance.

  Parameters:
    `groupValue` - The common group value (indexed value) that all documents share.
    `result` - The documents to be displayed that belong to this group

Method Detail

### getGroupValue

    public String getGroupValue()

  Returns the common group value that all documents share inside this group. This is an indexed value, not a stored value.

  Returns:
    the common group value

### getResult

    public SolrDocumentList getResult()

  Returns the documents to be displayed that belong to this group. How many documents are returned depend on the `group.offset` and `group.limit` parameters.

  Returns:
    the documents to be displayed that belong to this group

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD